/*! rollup-plugin-executable v1.6.3 by Sebastian Fastner <s.fastner@sebastian-software.de> */
'use strict';

var fs = require('fs');

var EXECUTABLE_MODE = 73;
function executable() {
  var file;
  return {
    name: "rollup-plugin-executable",
    generateBundle: function generateBundle(options) {
      file = options.file;
    },
    writeBundle: function writeBundle() {
      if (!file) {
        return;
      }

      var _statSync = fs.statSync(file),
          mode = _statSync.mode;

      fs.chmodSync(file, mode | EXECUTABLE_MODE);
    }
  };
}

module.exports = executable;
//# sourceMappingURL=index.cjs.js.map
